Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi.work
Interface WorkListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  WorkAdapter

public interface WorkListener
extends java.util.EventListener

This models a `WorkListener` instance which would be notified by the `WorkManager` when the various `Work` processing events (work accepted, work rejected, work started, work completed) occur. The `WorkListener` instance must not make any thread assumptions and must be thread-safe ie., a notification could occur from any arbitrary thread. Further, it must not make any assumptions on the ordering of notifications.

Version:
  1.0
Author:
  Ram Jeyaraman

Method Summary
`void` | `workAccepted(WorkEvent e)` Invoked when a `Work` instance has been accepted.
`void` | `workCompleted(WorkEvent e)` Invoked when a `Work` instance has completed execution.
`void` | `workRejected(WorkEvent e)` Invoked when a `Work` instance has been rejected.
`void` | `workStarted(WorkEvent e)` Invoked when a `Work` instance has started execution.

Method Detail

### workAccepted

    public void workAccepted(WorkEvent e)

  Invoked when a `Work` instance has been accepted.

### workRejected

    public void workRejected(WorkEvent e)

  Invoked when a `Work` instance has been rejected.

### workStarted

    public void workStarted(WorkEvent e)

  Invoked when a `Work` instance has started execution. This only means that a thread has been allocated.

### workCompleted

    public void workCompleted(WorkEvent e)

  Invoked when a `Work` instance has completed execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.